Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001711Piwigophotospublic2010.05.31 18:162012.02.10 22:33
ReporterGotcha 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindows SevenOS Versionx64
Product Version 
Target Version2.4.0RC1Fixed in Version2.4.0RC1 
Summary0001711: sort photos by name
DescriptionSorting photos by "name" is not possible (file != name) while a custom setting can do it : $conf['order_by_custom'] = ' order by name asc';
Steps To Reproduceadmin.php?page=cat_modify&cat_id=XXXX


****************

// Ordre de tri d'affichage par défaut
$conf['order_by'] = ' ORDER BY name ASC';
$conf['order_by_inside_category'] = $conf['order_by'];
Additional Informationhttp://fr.piwigo.org/forum/viewtopic.php?pid=144496#p144496 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Filespng file icon capture_-_20100531-181127_-_434.png [^] (6,808 bytes) 2010.05.31 18:16

- Relationships

-  Notes
(0005870)
svn (reporter)
2011.12.22 17:48

[Subversion] r12782 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:1711 sort photos by name
(0005877)
plg (manager)
2011.12.23 10:50

Sorting by name a bit more complicated, because when piwigo_images.name is NULL, then Piwigo uses piwigo_images.file instead. This is what the visitor see, this is how Piwigo should "sort by name". I haven't tested it but I would start with something like : ORDER BY IFNULL(piwigo_images.name, piwigo_images.file) ASC
(0005908)
mistic100 (developer)
2012.01.08 18:42
edited on: 2012.01.08 18:42

is Piwigo already doing this somewhere ? or is it the behavior you want ?

(0005914)
plg (manager)
2012.01.10 20:52

I don't think Piwigo does it anywhere currently and I think this is the behavior the visitor/webmaster is expecting
(0006022)
mistic100 (developer)
2012.02.10 22:33

the bug mentionned by plg is no longer valid since http://piwigo.org/bugs/view.php?id=2567 [^]

- Issue History
Date Modified Username Field Change
2010.05.31 18:16 Gotcha New Issue
2010.05.31 18:16 Gotcha File Added: capture_-_20100531-181127_-_434.png
2010.05.31 18:16 Gotcha browser => any
2010.05.31 18:16 Gotcha Web server => Apache 1.3.x
2010.05.31 18:17 Gotcha Steps to Reproduce Updated
2010.05.31 18:17 Gotcha Additional Information Updated
2011.12.22 17:25 plg Assigned To => mistic100
2011.12.22 17:25 plg Status new => assigned
2011.12.22 17:25 plg Summary Manage items by name => sort photos by name
2011.12.22 17:25 plg Description Updated
2011.12.22 17:25 plg Target Version => 2.4
2011.12.22 17:48 svn Checkin
2011.12.22 17:48 svn Note Added: 0005870
2011.12.23 10:50 plg Note Added: 0005877
2012.01.02 23:25 plg Target Version 2.4.0beta1 => 2.4.0beta2
2012.01.08 18:42 mistic100 Note Added: 0005908
2012.01.08 18:42 mistic100 Note Edited: 0005908
2012.01.10 20:52 plg Note Added: 0005914
2012.02.02 00:18 plg Target Version 2.4.0beta2 => 2.4.0RC1
2012.02.10 22:33 mistic100 Note Added: 0006022
2012.02.10 22:33 mistic100 Status assigned => closed
2012.02.10 22:33 mistic100 Resolution open => fixed
2012.02.10 22:33 mistic100 Fixed in Version => 2.4.0RC1


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker